Bug 529384 - Postfix as the default MTA
Summary: Postfix as the default MTA
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 485995
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-16 14:38 UTC by Eduard Benes
Modified: 2014-01-21 23:04 UTC (History)
12 users (show)

(edit)
Clone Of: 485995
: 529686 (view as bug list)
(edit)
Last Closed: 2010-02-16 21:46:26 UTC


Attachments (Terms of Use)

Description Eduard Benes 2009-10-16 14:38:31 UTC
In F12/rawhide sendmail is installed with the minimal platform/install as the default MTA. How about making postfix the default mail daemon, instead of the sendmail? Would it make sense?

+++ This bug was initially created as a clone of Bug #485995 +++

Comment 2 Bill Nottingham 2009-10-16 15:40:17 UTC
We are not changing F12 at this point. Certainly could be considered for F13.

Comment 3 Eduard Benes 2009-10-16 16:14:44 UTC
(In reply to comment #1)
> Why the private comment?  

Ohh, by mistake ... :^)

Comment 4 Eduard Benes 2009-10-19 07:50:10 UTC
(In reply to comment #2)
> We are not changing F12 at this point. Certainly could be considered for F13.  

And what about RHEL 6? Would it be possible to make postfix the default mail daemon for "minimal package install" pulled in by cronie?

Comment 5 Peter Robinson 2009-10-19 09:18:46 UTC
> And what about RHEL 6? Would it be possible to make postfix the default mail
> daemon for "minimal package install" pulled in by cronie?  

you just have to specify postfix explicitly in the .ks or the minimal install group as it provides /usr/sbin/sendmail as well. I use the ssmtp option in some of my builds to make sure I don't get sendmail or exim.

Comment 6 Eduard Benes 2009-10-19 09:44:24 UTC
(In reply to comment #5)
> > And what about RHEL 6? Would it be possible to make postfix the default mail
> > daemon for "minimal package install" pulled in by cronie?  
> 
> you just have to specify postfix explicitly in the .ks or the minimal install

I meant without the need to use custom kickstart, just by installing the @core group (referring to [1]).

[1] - https://fedoraproject.org/wiki/Features/MinimalPlatform

Comment 8 Bug Zapper 2009-11-16 13:45:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bill Nottingham 2010-01-20 19:39:04 UTC
To do this would require submitting a Fedora 13 feature, or at least discussing this on the devel list.

Also, postfix would need changed to start by default in runlevel 2/3/4/5 and sendmail correspondingly disabled before we'd make the comps change.

Comment 10 Bill Nottingham 2010-02-16 21:46:26 UTC
Closing as WONTFIX per comment #9, and the lack of work in that direction.


Note You need to log in before you can comment on or make changes to this bug.